# calculator

a basic calculator

## API

#### [properties](#calculator-properties)

  - [id](#calculator-properties-id)


#### [methods](#calculator-methods)

  - [add](#calculator-methods-add) (options, callback)

  - [subtract](#calculator-methods-subtract) (options, callback)

  - [multiply](#calculator-methods-multiply) (options, callback)

  - [divide](#calculator-methods-divide) (options, callback)

  - [power](#calculator-methods-power) (options, callback)

  - [squareroot](#calculator-methods-squareroot) (options, callback)

  - [cuberoot](#calculator-methods-cuberoot) (options, callback)

  - [nthroot](#calculator-methods-nthroot) (options, callback)

  - [factorial](#calculator-methods-factorial) (options, callback)

  - [isEven](#calculator-methods-isEven) (options, callback)

  - [isOdd](#calculator-methods-isOdd) (options, callback)


a basic calculator

- **id** 

  - **type** : any


<a name="calculator-methods"></a> 

## methods 

<a name="calculator-methods-add"></a> 

### calculator.add(options, callback)

returns the sum of two numbers

- **options** 

  - **type** : object

  - **properties**

    - **a** 

      - **type** : number

    - **b** 

      - **type** : number

- **callback** 

  - **type** : function

  - **required** : false

<a name="calculator-methods-subtract"></a> 

### calculator.subtract(options, callback)

returns the difference of two numbers

- **options** 

  - **type** : object

  - **properties**

    - **a** 

      - **type** : number

    - **b** 

      - **type** : number

- **callback** 

  - **type** : function

  - **required** : false

<a name="calculator-methods-multiply"></a> 

### calculator.multiply(options, callback)

returns the product of two numbers

- **options** 

  - **type** : object

  - **properties**

    - **a** 

      - **type** : number

    - **b** 

      - **type** : number

- **callback** 

  - **type** : function

  - **required** : false

<a name="calculator-methods-divide"></a> 

### calculator.divide(options, callback)

returns the result by dividing two numbers

- **options** 

  - **type** : object

  - **properties**

    - **a** 

      - **type** : number

    - **b** 

      - **type** : number

- **callback** 

  - **type** : function

  - **required** : false

<a name="calculator-methods-power"></a> 

### calculator.power(options, callback)

returns the raised power of two numbers

- **options** 

  - **type** : object

  - **properties**

    - **a** 

      - **type** : number

    - **b** 

      - **type** : number

- **callback** 

  - **type** : function

  - **required** : false

<a name="calculator-methods-squareroot"></a> 

### calculator.squareroot(options, callback)

returns the squareoot of number

- **options** 

  - **type** : object

  - **properties**

    - **a** 

      - **type** : number

- **callback** 

  - **type** : function

  - **required** : false

<a name="calculator-methods-cuberoot"></a> 

### calculator.cuberoot(options, callback)

returns the cuberoot of number

- **options** 

  - **type** : object

  - **properties**

    - **a** 

      - **type** : number

- **callback** 

  - **type** : function

  - **required** : false

<a name="calculator-methods-nthroot"></a> 

### calculator.nthroot(options, callback)

returns the nthroot of number

- **options** 

  - **type** : object

  - **properties**

    - **a** 

      - **type** : number

    - **b** 

      - **type** : number

- **callback** 

  - **type** : function

  - **required** : false

<a name="calculator-methods-factorial"></a> 

### calculator.factorial(options, callback)

returns the factorial of number

- **options** 

  - **type** : object

  - **properties**

    - **a** 

      - **type** : number

- **callback** 

  - **type** : function

  - **required** : false

<a name="calculator-methods-isEven"></a> 

### calculator.isEven(options, callback)

returns the result of number as even

- **options** 

  - **type** : object

  - **properties**

    - **a** 

      - **type** : number

- **callback** 

  - **type** : function

  - **required** : false

<a name="calculator-methods-isOdd"></a> 

### calculator.isOdd(options, callback)

returns the result of number as odd

- **options** 

  - **type** : object

  - **properties**

    - **a** 

      - **type** : number

- **callback** 

  - **type** : function

  - **required** : false



*README auto-generated with [docs](https://github.com/bigcompany/resources/tree/master/docs)*